|
|
@ -16,7 +16,9 @@ Workplane = cqmore.extend(Workplane) |
|
|
|
bearing_od = 22.0 |
|
|
|
bearing_or = bearing_od / 2.0 |
|
|
|
bearing_diameter = 8.0 |
|
|
|
bearing_diameter_rest = 8.8 |
|
|
|
bearing_radius = bearing_diameter / 2.0 |
|
|
|
bearing_radius_rest = bearing_diameter_rest / 2.0 |
|
|
|
|
|
|
|
bearing_thickness = 6.93 |
|
|
|
|
|
|
@ -26,12 +28,14 @@ y_offset = 18.9 |
|
|
|
spinner_base = ( |
|
|
|
Workplane() |
|
|
|
.cylinder(10, 20) |
|
|
|
.workplane(offset=-bearing_thickness + 2) |
|
|
|
.cylinder(1.5, bearing_radius_rest) |
|
|
|
.workplane(offset=-bearing_thickness) |
|
|
|
.cylinder(10, bearing_radius) |
|
|
|
.workplane(offset=4) |
|
|
|
.cylinder(10, bearing_radius + 0.08) |
|
|
|
.workplane(offset=3.224) |
|
|
|
.rect(35, 35, forConstruction=True) |
|
|
|
.vertices() |
|
|
|
.cylinder(2, 10) |
|
|
|
.cylinder(4, 10) |
|
|
|
) |
|
|
|
|
|
|
|
spinner = ( |
|
|
@ -52,10 +56,10 @@ spinner_split_top = ( |
|
|
|
tree.workplane(5) |
|
|
|
.split(keepTop=True) |
|
|
|
.workplane(offset=-10) |
|
|
|
.move(-x_offset - 0.5, y_offset) |
|
|
|
.cylinder(10, bearing_radius) |
|
|
|
.move(-x_offset + 0.1, y_offset) |
|
|
|
.cylinder(10, bearing_radius + 0.025) |
|
|
|
.workplane(offset=-2.9) |
|
|
|
.move(-x_offset - 0.5, y_offset) |
|
|
|
.move(-x_offset + 0.1, y_offset) |
|
|
|
.cylinder(10, bearing_radius + 3) |
|
|
|
) |
|
|
|
|
|
|
@ -87,6 +91,8 @@ cq.exporters.export( |
|
|
|
cq.exporters.export(spinner_base, "/home/deck/model_files/xmas_spinner_base.stl") |
|
|
|
|
|
|
|
try: |
|
|
|
show_object(spinner_split_top) |
|
|
|
show_object(spinner_base) |
|
|
|
# show_object(spinner_split_top) |
|
|
|
# show_object(spinner_split_bottom) |
|
|
|
except NameError: |
|
|
|
pass |
|
|
|